## pingus 0.7.2svn3940-maemo2

=== SConstruct ===
##  -*- python -*-
##  $Id: pingus_main.hxx,v 1.14 2003/10/18 12:11:30 grumbel Exp $
##
##  Pingus - A free Lemmings clone
##  Copyright (C) 1999 Ingo Ruhnke <grumbel@gmx.de>,
##                     Francois Beerten
##
##  This program is free software; you can redistribute it and/or
##  modify it under the terms of the GNU General Public License
##  as published by the Free Software Foundation; either version 2
##  of the License, or (at your option) any later version.
##
##  This program is distributed in the hope that it will be useful,
##  but WITHOUT ANY WARRANTY; without even the implied warranty of
##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##  GNU General Public License for more details.
##
##  You should have received a copy of the GNU General Public License
##  along with this program; if not, write to the Free Software
##  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

import sys, os
import SCons.Util

pingus_sources = [
'src/action_holder.cpp', 
'src/addon_menu.cpp', 
'src/blitter.cpp',
'src/capture_rectangle.cpp', 
'src/collider.cpp', 
'src/collision_map.cpp', 
'src/collision_mask.cpp',
'src/command_line.cpp',
'src/command_line_generic.cpp',
'src/config_manager.cpp', 
'src/credits.cpp', 
'src/debug.cpp', 
'src/debug_stream.cpp', 
'src/demo_session.cpp', 
'src/direction.cpp', 
'src/file_reader.cpp',
'src/font.cpp',
'src/font_description.cpp',
'src/font_test_screen.cpp',
'src/fonts.cpp',
'src/fps_counter.cpp', 
'src/game_session.cpp', 
'src/game_time.cpp', 
'src/gettext.cpp', 
'src/global_event.cpp', 
'src/globals.cpp', 
'src/goal_manager.cpp', 
'src/graphic_context_state.cpp', 
'src/ground_map.cpp', 
'src/groundtype.cpp',
'src/layer_manager.cpp', 
'src/level_menu.cpp',
'src/levelset.cpp',
'src/line_iterator.cpp',
'src/math.cpp',
'src/mover.cpp', 
'src/option_menu.cpp',
'src/path_manager.cpp',
'src/pathname.cpp', 
'src/pingu.cpp', 
'src/pingu_action.cpp', 
'src/pingu_enums.cpp', 
'src/pingu_holder.cpp', 
'src/pingus_demo.cpp', 
'src/pingus_error.cpp', 
'src/pingus_level.cpp', 
'src/pingus_main.cpp', 
'src/pingus_menu.cpp', 
'src/plf_res_mgr.cpp', 
'src/res_descriptor.cpp', 
'src/resource.cpp',
'src/resource_manager.cpp', 
'src/resource_modifier.cpp', 
'src/result_screen.cpp', 
'src/savegame.cpp', 
'src/savegame_manager.cpp', 
'src/screenshot.cpp', 
'src/server.cpp', 
'src/server_event.cpp', 
'src/sexpr_file_reader.cpp', 
'src/sexpr_file_writer.cpp', 
'src/smallmap_image.cpp', 
'src/sprite.cpp',
'src/sprite_impl.cpp',
'src/start_screen.cpp', 
'src/stat_manager.cpp', 
'src/state_sprite.cpp', 
'src/story_screen.cpp', 
'src/string_format.cpp',
'src/string_util.cpp',
'src/surface.cpp',
'src/system.cpp', 
'src/utf8_iterator.cpp',
'src/world.cpp', 
'src/worldobj.cpp', 
'src/worldobj_factory.cpp', 

'src/actions/angel.cpp', 
'src/actions/basher.cpp', 
'src/actions/blocker.cpp', 
'src/actions/boarder.cpp', 
'src/actions/bomber.cpp', 
'src/actions/bridger.cpp', 
'src/actions/climber.cpp', 
'src/actions/digger.cpp', 
'src/actions/drown.cpp', 
'src/actions/exiter.cpp', 
'src/actions/faller.cpp', 
'src/actions/floater.cpp', 
'src/actions/jumper.cpp', 
'src/actions/laser_kill.cpp', 
'src/actions/miner.cpp', 
'src/actions/rocket_launcher.cpp', 
'src/actions/slider.cpp', 
'src/actions/smashed.cpp', 
'src/actions/splashed.cpp', 
'src/actions/superman.cpp', 
'src/actions/waiter.cpp', 
'src/actions/walker.cpp', 

'src/colliders/pingu_collider.cpp',

'src/components/action_button.cpp', 
'src/components/button_panel.cpp', 
'src/components/check_box.cpp', 
'src/components/choice_box.cpp', 
'src/components/label.cpp', 
'src/components/menu_button.cpp', 
'src/components/pingus_counter.cpp', 
'src/components/playfield.cpp', 
'src/components/slider_box.cpp', 
'src/components/smallmap.cpp', 
'src/components/time_display.cpp', 

'src/display/delta_framebuffer.cpp', 
'src/display/display.cpp', 
'src/display/drawing_context.cpp', 
'src/display/framebuffer_surface.cpp', 
'src/display/null_framebuffer.cpp', 
'src/display/rect_merger.cpp',
'src/display/scene_context.cpp', 
'src/display/sdl_framebuffer.cpp', 
'src/display/sdl_framebuffer_surface_impl.cpp', 

'src/editor/action_properties.cpp', 
'src/editor/button.cpp',
'src/editor/checkbox.cpp',
'src/editor/combobox.cpp', 
'src/editor/editor_level.cpp', 
'src/editor/editor_screen.cpp',
'src/editor/file_dialog.cpp',
'src/editor/file_list.cpp',
'src/editor/gui_style.cpp',
'src/editor/inputbox.cpp',
'src/editor/label.cpp',
'src/editor/level_objs.cpp',
'src/editor/level_properties.cpp',
'src/editor/minimap.cpp', 
'src/editor/object_properties.cpp',
'src/editor/object_selector.cpp',
'src/editor/object_selector_list.cpp',
'src/editor/object_selector_set.cpp',
'src/editor/panel.cpp',
'src/editor/viewport.cpp', 

'src/gui/component.cpp',
'src/gui/group_component.cpp', 
'src/gui/gui_manager.cpp', 
'src/gui/surface_button.cpp',

'src/input/controller_description.cpp',
'src/input/controller.cpp',
'src/input/core_driver.cpp',
'src/input/sdl_driver.cpp',
'src/input/manager.cpp',

'src/lisp/getters.cpp',
'src/lisp/lexer.cpp',
'src/lisp/lisp.cpp',
'src/lisp/parser.cpp',

'src/math/origin.cpp',
'src/math/rect.cpp',
'src/math/size.cpp',
'src/math/vector2f.cpp',
'src/math/vector2i.cpp',
'src/math/vector3f.cpp',

'src/movers/linear_mover.cpp', 

'src/particles/explosive_particle.cpp', 
'src/particles/pingu_particle_holder.cpp', 
'src/particles/rain_particle_holder.cpp', 
'src/particles/smoke_particle_holder.cpp', 
'src/particles/snow_particle_holder.cpp', 

'src/screen/gui_screen.cpp', 
'src/screen/screen.cpp', 
'src/screen/screen_manager.cpp', 

'src/sound/sound.cpp', 
'src/sound/sound_dummy.cpp', 
'src/sound/sound_real.cpp', 
'src/sound/sound_res_mgr.cpp', 

'src/tinygettext/dictionary.cpp',
'src/tinygettext/dictionary_manager.cpp',
'src/tinygettext/iconv.cpp',
'src/tinygettext/language_def.cpp',
'src/tinygettext/po_file_reader.cpp',

'src/worldmap/dot.cpp', 
'src/worldmap/dot_factory.cpp', 
'src/worldmap/drawable.cpp', 
'src/worldmap/drawable_factory.cpp', 
'src/worldmap/graph.cpp', 
'src/worldmap/level_dot.cpp', 
'src/worldmap/path.cpp', 
'src/worldmap/path_drawable.cpp', 
'src/worldmap/path_graph.cpp', 
'src/worldmap/pingus.cpp', 
'src/worldmap/pingus_worldmap.cpp', 
'src/worldmap/sprite_drawable.cpp', 
'src/worldmap/worldmap.cpp', 
'src/worldmap/worldmap_component.cpp', 
'src/worldmap/worldmap_screen.cpp', 
'src/worldmap/worldmap_story.cpp', 

'src/worldobjs/conveyor_belt.cpp', 
'src/worldobjs/entrance.cpp', 
'src/worldobjs/exit.cpp', 
'src/worldobjs/fake_exit.cpp', 
'src/worldobjs/groundpiece.cpp', 
'src/worldobjs/guillotine.cpp', 
'src/worldobjs/hammer.cpp', 
'src/worldobjs/hotspot.cpp', 
'src/worldobjs/ice_block.cpp', 
'src/worldobjs/laser_exit.cpp', 
'src/worldobjs/liquid.cpp', 
'src/worldobjs/rain_generator.cpp', 
'src/worldobjs/smasher.cpp', 
'src/worldobjs/snow_generator.cpp', 
'src/worldobjs/solid_color_background.cpp', 
'src/worldobjs/spike.cpp', 
'src/worldobjs/starfield_background.cpp', 
'src/worldobjs/starfield_background_stars.cpp', 
'src/worldobjs/surface_background.cpp', 
'src/worldobjs/switch_door.cpp', 
'src/worldobjs/teleporter.cpp',
'src/worldobjs/teleporter_target.cpp', 
'src/worldobjs/thunderstorm_background.cpp', 
'src/worldobjs/woodthing.cpp',

'lib/binreloc/binreloc.c'
]

class _SpaceListOptionClass:
   """An option type for space-separated lists with arbitrary elements."""
   def CheckDir(self, val):
      if not os.path.isdir(val):
         raise SCons.Errors.UserError("No directory at %s" % val)

   def _convert(self, key, val, env):
      if SCons.Util.is_List(val): # prefer val if it's already a list
         return val
      elif len(val) > 0 and val[0] == '[' and val[-1] == ']':
         # or a repr of a list
         return eval(val)
      elif env: # otherwise, use whatever's in env
         val = env[key]
         if not SCons.Util.is_List(val):
            val = val.split(None)
         return val
      else: # val was substituted into a string, losing its structure
         # We'll be called again with env, hopefully that's more useful
         raise TypeError("try again with the environment")

   def _validate(self, val, env, check, converter):
      for i in converter(val, env):
         if check(i):
            return True
      return False

   def __call__(self, key, help, check=None, default=[]):
      def converter(val, env = None):
         return self._convert(key, val, env)
 
      validator = None
      if check is not None:
         validator = lambda k, v, e: self._validate(v, e, check, converter)
      return (key, help, default, validator, converter)
 
SpaceListOption = _SpaceListOptionClass()

def DefineOptions(filename, args):
   opts = Options(filename, args)
   opts.Add('CC', 'C Compiler', 'gcc')
   opts.Add('CXX', 'C++ Compiler', 'g++')
#   opts.Add('debug', 'Build with debugging options', 0)
#   opts.Add('profile', 'Build with profiling support', 0)

   opts.Add('CPPPATH',    'Additional preprocessor paths', [])
   opts.Add('LIBPATH',    'Additional library paths',      [])
   opts.Add('CPPFLAGS',   'Additional preprocessor flags', [])
   opts.Add('CPPDEFINES', 'defined constants', [])
   opts.Add('LIBS',       'Additional libraries', [])
   opts.Add('CCFLAGS',    'C Compiler flags', [])
   opts.Add('CXXFLAGS',   'C++ Compiler flags', [])
   opts.Add('LINKFLAGS',  'Linker Compiler flags', [])

   opts.Add(BoolOption('with_opengl',        'Build with OpenGL support', True))
   opts.Add(BoolOption('with_xinput',        'Build with Xinput support', False))
   opts.Add(BoolOption('with_linuxusbmouse', 'Build with Linux USB mouse support', True))
   opts.Add(BoolOption('with_linuxevdev',    'Build with Linux evdev support', True))
   opts.Add(BoolOption('with_wiimote',       'Build with Wiimote support', False))
   opts.Add(BoolOption('ignore_errors',      'Ignore any fatal configuration errors', False))
   opts.Add('optional_sources', 'Additional source files', [])
   return opts

def CheckSDLLib(context, sdllib):
   """
   On some platforms, SDL does this ugly redefine-main thing, that can
   interact badly with CheckLibWithHeader.
   """
   lib = "SDL_%s" % sdllib
   context.Message('Checking for %s...' % lib)
   text = """
#include "SDL.h"
#include "%s.h"
int main(int argc, char* argv[]) { return 0; }
""" % lib
   context.AppendLIBS(lib)
   if context.BuildProg(text, ".cpp"):
      context.Result("failed")
      return False
   else:
      context.Result("ok")
      return True

def CheckIconv(context):
   text = """
#include <iconv.h>
int main() {
   %s char *foo;
   (void)iconv((iconv_t)0, &foo, (size_t*)0, (char**)0, (size_t*)0);
   return 0;
}
"""
   config.CheckLibWithHeader('iconv', 'iconv.h', 'c++') # Ok to fail
   context.Message('Check how to call iconv...')

   for i in ['', 'const']:
      if config.TryCompile(text % i, ".cpp"):
         context.Result("use '%s'" % i)
         return i
   context.Result("failed")
   return False

def CheckMyProgram(context, prgn):
   context.Message('Checking for %s...' % prgn)
   for i in context.env['ENV']['PATH'].split(":"):
      if os.path.exists(i + "/sdl-config"):
         context.Result(i + "/sdl-config")
         return True
   context.Result("failed")
   return False

Alias('configure')
    
if ('configure' in COMMAND_LINE_TARGETS) or \
   not (os.path.exists('config.py') and os.path.exists('config.h')) and \
   not GetOption('clean'):
    opts = DefineOptions(None, ARGUMENTS)
    env = Environment(options = opts)
    Help(opts.GenerateHelpText(env))

    opts.Update(env)

    if os.environ.has_key('PATH'):
        env['ENV']['PATH'] = os.environ['PATH']
    if os.environ.has_key('HOME'):
       env['ENV']['HOME'] = os.environ['HOME']

    if os.environ.has_key('PKG_CONFIG_PATH'):
        env['ENV']['PKG_CONFIG_PATH'] = os.environ['PKG_CONFIG_PATH']
    
    env['CPPPATH'] += ['.', 'src/']

    config_h_defines = []      

    config = env.Configure(custom_tests = {

=== debian/changelog ===
pingus (0.7.2svn3940-maemo2) unstable; urgency=low

  * removed sdl deinitialization (eeek!) to make sound work
  * disabled demo recording

 -- Mikko Vartiainen <mvartiainen@gmail.com>  Sat, 13 Dec 2008 23:50:26 +0200

=== debian/control ===
Source: pingus
Section: games
Priority: optional
Maintainer: Mikko Vartiainen <mvartiainen@gmail.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Miriam Ruiz <little_miry@yahoo.es>, Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>
Build-Depends: debhelper (>= 5), quilt, scons,
 libsdl1.2-dev, libsdl-mixer1.2-dev, libsdl-image1.2-dev,
 libphysfs-dev, libboost-signals-dev, libxi-dev, libpng12-dev
Standards-Version: 3.7.3
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/pingus/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/pingus/?op=log
Homepage: http://pingus.seul.org/

Package: pingus
Architecture: any
Section: user/games
Depends: ${shlibs:Depends}, ${misc:Depends}, pingus-data (= ${source:Version}), maemo-select-menu-location
Description: Free Lemmings(TM) clone
 Pingus is a free clone of the popular Lemmings game.
 .
 Your goal is to guide a horde of penguins through a world full of obstacles
 and penguin traps to safety. Although penguins (unlike lemmings) are rather
 smart, they sometimes lack the necessary overview and now rely on you to
 save them.
 .
 This package contains the main program.
XB-Maemo-Display-Name: Pingus
XB-Maemo-Icon-26:
 LyogWFBNICovCnN0YXRpYyBjaGFyICpkdW1teVtdPXsKIjMyIDMyIDcyIDIi
 LAoiUXQgYyBOb25lIiwKIi5lIGMgIzAyMDIwNCIsCiIuYiBjICMwOTBiMGIi
 LAoiLkcgYyAjMGIxMjE0IiwKIi5kIGMgIzEyMTIxMyIsCiIuYSBjICMxNzE3
 MTYiLAoiLiMgYyAjMTkxOTFhIiwKIi5pIGMgIzFjMjAyMSIsCiIuTyBjICMx
 ZTFlMWUiLAoiLmYgYyAjMjcyNjI1IiwKIi5JIGMgIzI3MjcyNyIsCiIuWiBj
 ICMyYTFhMDYiLAoiLmMgYyAjMmIyZTJlIiwKIi56IGMgIzJjMmMyZSIsCiIu
 bCBjICMzNzM2MzciLAoiLmogYyAjMzkzOTNiIiwKIi5EIGMgIzM5MzkzYyIs
 CiIuSCBjICMzYzNjM2MiLAoiLkYgYyAjNDE0MTQxIiwKIi5UIGMgIzRmNGY0
 ZiIsCiIueSBjICM1YTQyMGUiLAoiLlAgYyAjNWE1YTVhIiwKIi5KIGMgIzVh
 NjI1ZSIsCiIuQyBjICM1ZTVhNjIiLAoiLjUgYyAjNjIzNjA2IiwKIi5FIGMg
 IzY1NjU2OCIsCiIuVyBjICM2ZTZlNmUiLAoiLjEgYyAjNzI0MjA2IiwKIi5r
 IGMgIzcyNWEzNiIsCiIuTiBjICM3YTdhN2UiLAoiLmggYyAjODk4Nzg2IiwK
 Ii4wIGMgIzhlNTYwNiIsCiIuWSBjICM5MjkyOTYiLAoiLjYgYyAjOTY3MjU2
 IiwKIi5VIGMgIzk2OTY5NiIsCiIjLiBjICM5ZTAyMDIiLAoiLlggYyAjOWU2
 ZTFlIiwKIi5WIGMgI2E2OWU5NiIsCiIuUiBjICNhYWFhYWUiLAoiI2MgYyAj
 YmEwMjAyIiwKIi5LIGMgI2JhYmFiZSIsCiIjYiBjICNjNDBhMGEiLAoiIyMg
 YyAjYzUwMzAzIiwKIi5MIGMgI2NhY2FjZSIsCiIjZSBjICNjZTEwMTAiLAoi
 I2YgYyAjY2UxNjE2IiwKIi44IGMgI2QyM2EzYSIsCiIuMiBjICNkMjc2MDYi
 LAoiLjcgYyAjZGE1MjUyIiwKIi5tIGMgI2RhNjIwYSIsCiIuTSBjICNkYWRh
 ZGUiLAoiLkIgYyAjZTJiMjZlIiwKIi5xIGMgI2U2ZDJhMiIsCiIjZCBjICNl
 YTFmMWYiLAoiLlMgYyAjZWFlYWVlIiwKIi5wIGMgI2YzZDY5NiIsCiIuUSBj
 ICNmNmY2ZjYiLAoiLmcgYyAjZjZmZWZlIiwKIi5uIGMgI2Y5ODkxMSIsCiIu
 ciBjICNmZTcyMDYiLAoiLjQgYyAjZmU5NjA2IiwKIi5zIGMgI2ZlOWEzNiIs
 CiIudCBjICNmZWExM2UiLAoiLkEgYyAjZmVhNjQ2IiwKIi45IGMgI2ZlYWEw
 NiIsCiIueCBjICNmZWFhMjYiLAoiI2EgYyAjZmViNjA2IiwKIi51IGMgI2Zl
 YzY3ZSIsCiIuMyBjICNmZWNhNGUiLAoiLncgYyAjZmVkZTg2IiwKIi52IGMg
 I2ZlZTZhZSIsCiIubyBjICNmZWVlYmUiLAoiUXRRdFF0UXRRdFF0UXRRdFF0
 UXRRdFF0UXRRdFF0UXRRdFF0UXRRdFF0UXRRdFF0UXRRdFF0UXRRdFF0UXRR
 dCIsCiJRdFF0UXRRdFF0UXRRdFF0UXRRdFF0UXRRdFF0LiMuYS5hLmEuI1F0
 UXRRdFF0UXRRdFF0UXRRdFF0UXRRdFF0IiwKIlF0UXRRdFF0UXRRdFF0UXRR
 dFF0UXRRdFF0LiMuYS5iLmEuYS5jLmRRdFF0UXRRdFF0UXRRdFF0UXRRdFF0
 UXQiLAoiUXRRdFF0UXRRdFF0UXRRdFF0UXRRdFF0LmUuZS5lLmUuZS5lLmEu
 YVF0UXRRdFF0UXRRdFF0UXRRdFF0UXRRdCIsCiJRdFF0UXRRdFF0UXRRdFF0
 UXRRdFF0UXRRdC5mLmIuZy5oLmkuYS5hLmpRdFF0UXRRdC5lLmVRdFF0UXRR
 dFF0IiwKIlF0UXRRdFF0UXRRdFF0UXRRdFF0UXRRdC5lLmMuay5sLmguZy5s
 LmEuYVF0UXRRdC5lLmUuZVF0UXRRdFF0UXQiLAoiUXRRdFF0UXRRdFF0UXRR
 dFF0UXRRdC5tLm4uby5wLnAucC5xLmEuYy5hUXRRdFF0LmUuZS5lUXRRdFF0
 UXRRdCIsCiJRdFF0UXRRdFF0UXRRdFF0LnIucy50LnQudS5wLnYudy53Lngu
 eS5hLmxRdFF0LnouZS5lLmVRdFF0UXRRdFF0IiwKIlF0UXRRdFF0UXRRdFF0
 UXQubS50LnQucy50LnQudC5BLkEuQi5rLmEuQy5EUXQuZS5lLmUuZVF0UXRR
 dFF0UXQiLAoiUXRRdFF0UXRRdFF0UXRRdFF0UXRRdFF0LmEuYS5hLmEuYS5h
 LmEuYS5lLkUuai5lLmUuZS5lUXRRdFF0UXRRdCIsCiJRdFF0UXRRdFF0LkYu
 Zi5lLmUuZS5lLmYuZi5mLmYuZi5mLmYuZi5mLmUuZS5iLmUuZS5lLmVRdFF0
 UXRRdFF0IiwKIlF0UXRRdC5GLmwuZS5lLmUuZS5lLmUuYi5lLkcuaS5jLkcu
 ZS5lLmUuaS5lLmUuZS5lLmVRdFF0UXRRdFF0UXQiLAoiUXRRdC5ILmUuZS5l
 LmkuSS5lLmUuZS5iLkouSy5MLk0uSy5OLmMuZS5sLmMuYS5lLmUuZVF0UXRR
 dFF0UXRRdCIsCiJRdFF0LmUuZS5JLk9RdFF0LkcuZS5lLlAuTS5nLmcuZy5n
 LlEuSy5KLmwubC5jLmUuZVF0UXRRdFF0UXRRdFF0IiwKIlF0UXRRdFF0UXRR
 dFF0LiMuYS5HLmMuUi5TLmcuZy5nLmcuZy5nLkwuVC5sLmwuZS5lUXRRdFF0
 UXRRdFF0UXQiLAoiUXRRdFF0UXRRdFF0UXQubC5hLmUuVC5LLlMuZy5nLmcu
 Zy5nLmcuZy5SLmkubC5lUXRRdFF0UXRRdFF0UXRRdCIsCiJRdFF0UXRRdFF0
 UXRRdC5sLmIuZS5FLksuUy5nLmcuZy5nLmcuZy5nLk0uVC5hLmxRdFF0UXRR
 dFF0UXRRdFF0IiwKIlF0UXRRdFF0UXRRdFF0LmwuZS5hLlUuSy5TLmcuZy5n
 LmcuZy5nLmcuZy5FLmUubFF0UXRRdFF0UXRRdFF0UXQiLAoiUXRRdFF0UXRR
 dFF0UXQuYy5lLmwuUi5LLk0uUS5nLmcuZy5nLmcuZy5nLk4uZS5jUXRRdFF0
 UXRRdFF0UXRRdCIsCiJRdFF0UXRRdFF0UXRRdC5qLmUuVC5WLlIuTC5TLlEu
 Zy5nLmcuZy5nLmcuTi5lLmpRdFF0UXRRdFF0UXRRdFF0IiwKIlF0UXRRdFF0
 UXRRdFF0UXQuZS5sLlYuUi5LLkwuTS5TLlMuUy5nLlEuUy5XLmVRdFF0UXRR
 dFF0UXRRdFF0UXQiLAoiUXRRdFF0UXRRdFF0UXRRdC5jLmIuTi5SLlIuSy5M
 LkwuTS5NLk0uUy5MLmMuZlF0UXRRdFF0UXRRdFF0UXRRdCIsCiJRdFF0UXRR
 dFF0UXRRdFF0LlguZS5jLlkuWS5SLlIuSy5LLksuSy5SLlAuWlF0UXRRdFF0
 UXRRdFF0UXRRdFF0IiwKIlF0UXRRdFF0UXRRdFF0UXQueC4wLmIuaS5ULkUu
 Ti5OLk4uTi5QLmMuMS4yUXRRdFF0UXRRdFF0UXRRdFF0UXQiLAoiUXRRdFF0
 UXRRdFF0UXRRdC4zLjQuMi4wLjEuNS5QLlYuNi4xLjUuMC40LjRRdFF0UXRR
 dFF0UXRRdFF0UXRRdCIsCiJRdFF0LjcuOC44LjguOC44LjIuOS40LjQuNC5u
 Iy4uOCMuLm4uOS45LjkueC4yLjguOC44LjguOFF0UXRRdFF0IiwKIlF0Ljcj
 IyMjIyMjIyMjIyMuOS45LjkuOS40Iy4jIyMjIy4uOSNhI2EuOS45LjkjIyMj
 IyMjIyMjLjdRdFF0UXQiLAoiUXQjYiMjI2MjLiMuIy4jLiMuIy4jLiMuIy4j
 LiMuIy4jLiMuIy4jLiMuIy4jLiMuIy4jLiMuIy4jLi43UXRRdCIsCiJRdFF0
 I2QjZCNlI2MjYyNiI2IjYyNiI2YjZiNmI2YjZiNmI2YjZiNmI2YjZiNjI2Mj
 YyNiI2MjYyNmI2QuN1F0IiwKIlF0UXRRdFF0UXQuZS5HLkouVC5lUXRRdFF0
 UXRRdFF0UXRRdFF0UXRRdFF0LkcuZS5QLkMuYS5sUXRRdFF0UXQiLAoiUXRR
 dFF0UXRRdFF0LmUuYS5lUXRRdFF0UXRRdFF0UXRRdFF0UXRRdFF0UXRRdC5i
 LmIuYi5jUXRRdFF0UXRRdCIsCiJRdFF0UXRRdFF0UXRRdFF0UXRRdFF0UXRR
 dFF0UXRRdFF0UXRRdFF0UXRRdFF0UXRRdFF0UXRRdFF0UXRRdFF0In07Cg==
 ====



Package: pingus-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, maemo-installer-utils
Recommends: pingus
Description: Data files for pingus, a free Lemmings(TM) clone
 Pingus is a free clone of the popular Lemmings game.
 .
 Your goal is to guide a horde of penguins through a world full of obstacles
 and penguin traps to safety. Although penguins (unlike lemmings) are rather
 smart, they sometimes lack the necessary overview and now rely on you to
 save them.
 .
 This package contains the data files.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O3
endif

# Use hardware floating point
ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -mfpu=vfp -mfloat-abi=softfp -mcpu=arm1136jf-s -mtune=arm1136jf-s
endif


patch:
	dh_testdir
	QUILT_PATCHES=debian/patches quilt push -a || test $$? = 2

unpatch:
	dh_testdir
	QUILT_PATCHES=debian/patches quilt pop -a -f || test $$? = 2

configure: configure-stamp
configure-stamp:
	dh_testdir
	$(MAKE) -f /usr/share/quilt/quilt.make patch
	cat debian/options.cache | sed -e 's/:CFLAGS:/$(CFLAGS)/g' > options.cache
	touch $@

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	CXXFLAGS="${CFLAGS}" scons prefix=/usr resources_dir=/usr/share/games/pingus lib_dir=$(CURDIR) with_opengl=no
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-scons -c
	rm -f `find . -name "*.o"`
	rm -f `find . -name "*.os"`
	rm -f `find . -name "*.so"`
	rm -f config.log options.cache bt.xml .sconsign.dblite
	rm -rf .sconf_temp build/release
	$(MAKE) -f /usr/share/quilt/quilt.make unpatch
	find -type f -name .sconsign -exec rm -f '{}' \;
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k -a
	dh_installdirs

# Build architecture-independent files here.
binary-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i
	dh_installchangelogs -i ChangeLog
	dh_installdocs -i --exclude=pingus.6

	mkdir -p "$(CURDIR)/debian/pingus-data/usr/share/games/pingus/"
	find data/ \
		-type f -a  \( \
		-name "*.png" -o \
		-name "*.jpg" -o \
		-name "*.wav" -o \
		-name "*.scm" -o \
		-name "*.font" -o \
		-name "*.it" -o \
		-name "*.ogg" -o \
		-name "*.s3m" -o \
		-name "*.po" -o \
		-name "*.worldmap" -o \
		-name "*.res" -o \
		-name "*.pingus" -o \
		-name "*.levelset" \
		\) -exec cp --parents -v {} "$(CURDIR)/debian/pingus-data/usr/share/games/pingus/" \;

	dh_install -i
	chown -R user.root debian/pingus-data/usr/share/games/pingus/*
	dh_compress -i
	dh_fixperms -i --exclude /usr/share/games/
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i


# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs -a ChangeLog
#	dh_installdocs -a --exclude=pingus.6
#	dh_installexamples -a
	dh_install -a
#	dh_installmenu -a
#	dh_installman -a doc/pingus.6
	dh_desktop -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
#	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## pingus 0.7.2-4ubuild1

=== debian/changelog ===
pingus (0.7.2-4ubuild1) lucid; urgency=low

  * Rebuild to pick up new libboost-signals version.

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 22 Jan 2010 16:36:48 +0100

pingus (0.7.2-4) unstable; urgency=low

  [ Barry deFreese ]
  * 40_fix_FTBFS_with_gcc-4.4 - Build with gcc-4.4. (Closes: #525741).
    + Thanks to Martin Michlmayr for the fix!.
  * 50_boost_signals_mt - Use multi-threaded boost. (Closes: #530474).
  * 60_bashisms - Replace echo -e with printf. (Closes: #530162).
  * Minor debian/copyright syntax clean-up.
  * Bump Standards Version to 3.8.1.

 -- Miriam Ruiz <little_miry@yahoo.es>  Thu, 28 May 2009 23:07:47 +0200

pingus (0.7.2-3) unstable; urgency=low

  [ Peter De Wachter ]
  * Fix watch file.

  [ Cyril Brulebois ]
  * Fix patch name:
     - Rename 10_fix_data_directory into 10_fix_data_directory.
  * Update translation:
     - Dutch, thanks to Bas Wijnen (Closes: #493584).
        + Add patch: 30_update_nl_translation
     - Spanish, thanks to Javier Fernández-Sanguino Peña (Closes: #482121).
        + Add patch: 30_update_es_translation
  * Clean up debian/rules:
     - No need to define CFLAGS, dpkg-buildpackage does it…
     - Use dpatch.make include, and tweak targets accordingly.
  * Make it possible to resume an interrupted build: use “scons configure”
    in configure, and “scons” in build.
  * Update my mail address.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 25 Mar 2009 13:55:25 +0100

=== debian/control ===
Source: pingus
Section: games
Priority: optional
Maintainer: Mikko Koskenranta <mikko.koskenranta@hotmail.com>
Uploaders: Mikko Koskenranta <mikko.koskenranta@hotmail.com>
Build-Depends: debhelper (>= 5), quilt, scons,
 libsdl1.2-dev, libsdl-mixer1.2-dev, libsdl-image1.2-dev,
 libphysfs-dev, libboost-signals1.42-dev, libxi-dev, libpng12-dev
Standards-Version: 3.8.1
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/pingus/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/pingus/?op=log
Homepage: http://pingus.seul.org/

Package: pingus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pingus-data (= ${source:Version})
Description: Free Lemmings(TM) clone
 Pingus is a free clone of the popular Lemmings game.
 .
 Your goal is to guide a horde of penguins through a world full of obstacles
 and penguin traps to safety. Although penguins (unlike lemmings) are rather
 smart, they sometimes lack the necessary overview and now rely on you to
 save them.
 .
 This package contains the main program.

Package: pingus-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: pingus
Description: Data files for pingus, a free Lemmings(TM) clone
 Pingus is a free clone of the popular Lemmings game.
 .
 Your goal is to guide a horde of penguins through a world full of obstacles
 and penguin traps to safety. Although penguins (unlike lemmings) are rather
 smart, they sometimes lack the necessary overview and now rely on you to
 save them.
 .
 This package contains the data files.

## pingus 0.7.2-5maemo1

=== debian/changelog ===
pingus (0.7.2-5maemo1) unstable; urgency=low

  * Some packaging bugs fixed

 -- Mikko Koskenranta <mikko.koskenranta@hotmail.com>  Tue, 18 Jan 2011 16:00:48 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 Homepage: http://pingus.seul.org/
 
 Package: pingus
+Section: user/games
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, pingus-data (= ${source:Version})
 Description: Free Lemmings(TM) clone

## pingus 0.7.2-6

=== debian/changelog ===
pingus (0.7.2-6) unstable; urgency=low

  * Hopefully fixed the save game problem, thanks to n900-dk

 -- Mikko Koskenranta <mikko.koskenranta@hotmail.com>  Fri, 21 Jan 2011 16:57:34 +0200

## pingus 0.7.2-7

=== debian/changelog ===
pingus (0.7.2-7) unstable; urgency=low

  * Added a bugtracher link

 -- Mikko Koskenranta <mikko.koskenranta@hotmail.com>  Fri, 21 Jan 2011 18:12:38 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make

configure: configure-stamp
configure-stamp: $(QUILT_STAMPFN)
	dh_testdir
	cat debian/options.cache | sed -e 's/:CFLAGS:/$(CFLAGS)/g' > options.cache
	scons configure prefix=/usr resources_dir=/usr/share/games/pingus lib_dir=$(CURDIR)
	touch $@

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	scons
	touch $@

clean: clean-patched unpatch
	dh_testdir
	dh_testroot
	dh_clean

clean-patched:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-scons -c
	rm -f `find . -name "*.o"`
	rm -f `find . -name "*.os"`
	rm -f `find . -name "*.so"`
	rm -f config.log options.cache bt.xml .sconsign.dblite
	rm -rf .sconf_temp build/release

install: build
	dh_testdir
	dh_testroot
	dh_clean -k -a
	dh_installdirs

# Build architecture-independent files here.
binary-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i
	dh_installchangelogs -i ChangeLog
	dh_installdocs -i --exclude=pingus.6

	mkdir -p "$(CURDIR)/debian/pingus-data/usr/share/games/pingus/"
	find data/ \
		-type f -a  \( \
		-name "*.png" -o \
		-name "*.jpg" -o \
		-name "*.wav" -o \
		-name "*.scm" -o \
		-name "*.font" -o \
		-name "*.it" -o \
		-name "*.ogg" -o \
		-name "*.s3m" -o \
		-name "*.po" -o \
		-name "*.worldmap" -o \
		-name "*.res" -o \
		-name "*.pingus" -o \
		-name "*.levelset" \
		\) -exec cp --parents -v {} "$(CURDIR)/debian/pingus-data/usr/share/games/pingus/" \;

	dh_install -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i


# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a ChangeLog
	dh_installdocs -a --exclude=pingus.6
	dh_installexamples -a
	dh_install -a
	dh_installmenu -a
	dh_installman -a doc/pingus.6
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
#	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## pingus 0.7.2-8

=== debian/changelog ===
pingus (0.7.2-8) unstable; urgency=low

  * Optified the package better

 -- Mikko Koskenranta <mikko.koskenranta@hotmail.com>  Fri, 15 Jul 2011 18:35:47 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Standards-Version: 3.8.1
 Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/pingus/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/pingus/?op=log
+XSBC-Bugtracker: http://talk.maemo.org/showthread.php?t=68527
 Homepage: http://pingus.seul.org/
 
 Package: pingus

## pingus 0.7.2-9

=== debian/changelog ===
pingus (0.7.2-9) unstable; urgency=low

  * Fixed the game not launching

 -- Mikko Koskenranta <mikko.koskenranta@hotmail.com>  Sun, 17 Jul 2011 17:44:21 +0200

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 configure-stamp: $(QUILT_STAMPFN)
 	dh_testdir
 	cat debian/options.cache | sed -e 's/:CFLAGS:/$(CFLAGS)/g' > options.cache
-	scons configure prefix=/usr resources_dir=/usr/share/games/pingus lib_dir=$(CURDIR)
+	scons configure prefix=/opt resources_dir=/opt/usr/share/games/pingus lib_dir=$(CURDIR)
 	touch $@
 
 build: build-stamp
@@ -48,7 +48,7 @@
 	dh_installchangelogs -i ChangeLog
 	dh_installdocs -i --exclude=pingus.6
 
-	mkdir -p "$(CURDIR)/debian/pingus-data/usr/share/games/pingus/"
+	mkdir -p "$(CURDIR)/debian/pingus-data/opt/usr/share/games/pingus/"
 	find data/ \
 		-type f -a  \( \
 		-name "*.png" -o \
@@ -64,7 +64,7 @@
 		-name "*.res" -o \
 		-name "*.pingus" -o \
 		-name "*.levelset" \
-		\) -exec cp --parents -v {} "$(CURDIR)/debian/pingus-data/usr/share/games/pingus/" \;
+		\) -exec cp --parents -v {} "$(CURDIR)/debian/pingus-data/opt/usr/share/games/pingus/" \;
 
 	dh_install -i
 	dh_compress -i

## pingus 0.7.3

=== SConstruct ===
##  -*- python -*-
##  $Id: pingus_main.hxx,v 1.14 2003/10/18 12:11:30 grumbel Exp $
##
##  Pingus - A free Lemmings clone
##  Copyright (C) 1999 Ingo Ruhnke <grumbel@gmx.de>,
##                     Francois Beerten
##
##  This program is free software; you can redistribute it and/or
##  modify it under the terms of the GNU General Public License
##  as published by the Free Software Foundation; either version 2
##  of the License, or (at your option) any later version.
##
##  This program is distributed in the hope that it will be useful,
##  but WITHOUT ANY WARRANTY; without even the implied warranty of
##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##  GNU General Public License for more details.
##
##  You should have received a copy of the GNU General Public License
##  along with this program; if not, write to the Free Software
##  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

import sys, os
import SCons.Util

pingus_sources = [
# # 'gui/buffer_graphic_context.cpp', 
# # 'pingus_level_test.cpp', 
# # 'sound/slot_manager.cpp', 
# # 'xml_eval.cpp',

'src/action_holder.cpp', 
'src/actions/angel.cpp', 
'src/actions/basher.cpp', 
'src/actions/blocker.cpp', 
'src/actions/boarder.cpp', 
'src/actions/bomber.cpp', 
'src/actions/bridger.cpp', 
'src/actions/climber.cpp', 
'src/actions/digger.cpp', 
'src/actions/drown.cpp', 
'src/actions/exiter.cpp', 
'src/actions/faller.cpp', 
'src/actions/floater.cpp', 
'src/actions/jumper.cpp', 
'src/actions/laser_kill.cpp', 
'src/actions/miner.cpp', 
'src/actions/rocket_launcher.cpp', 
'src/actions/slider.cpp', 
'src/actions/smashed.cpp', 
'src/actions/splashed.cpp', 
'src/actions/superman.cpp', 
'src/actions/teleported.cpp', 
'src/actions/waiter.cpp', 
'src/actions/walker.cpp', 
'src/addon_menu.cpp', 
'src/blitter.cpp',
# 'blitter_test.cpp', 
'src/capture_rectangle.cpp', 
'src/cheat.cpp', 
'src/client.cpp', 
'src/col_map.cpp', 
'src/collider.cpp', 
'src/colliders/pingu_collider.cpp', 
'src/components/action_button.cpp', 
'src/components/button_panel.cpp', 
'src/components/hurry_up.cpp', 
'src/components/pingus_counter.cpp', 
'src/components/playfield.cpp', 
'src/components/smallmap.cpp', 
'src/components/time_display.cpp', 
'src/config.cpp', 
'src/console.cpp', 
'src/credits.cpp', 
'src/debug.cpp', 
'src/debug_stream.cpp', 
# 'demo_player.cpp', 
'src/demo_recorder.cpp', 
# 'demo_session.cpp', 
'src/direction.cpp', 
'src/display/drawing_context.cpp', 
'src/display/scene_context.cpp', 

'src/editor/button.cpp',
'src/editor/gui_style.cpp',
'src/editor/checkbox.cpp',
'src/editor/editor_level.cpp', 
'src/editor/panel.cpp',
'src/editor/label.cpp',
'src/editor/file_list.cpp',
'src/editor/file_dialog.cpp',
'src/editor/editor_screen.cpp',
'src/editor/combobox.cpp', 
'src/editor/minimap.cpp', 
'src/editor/viewport.cpp', 
'src/editor/level_objs.cpp',
'src/editor/inputbox.cpp',
'src/editor/object_selector.cpp',
'src/editor/object_selector_list.cpp',
'src/editor/object_selector_set.cpp',
'src/editor/object_properties.cpp',
'src/editor/level_properties.cpp',
'src/editor/action_properties.cpp', 

'src/command_line.cpp',
'src/command_line_generic.cpp',

'src/surface.cpp',
'src/collision_mask.cpp',

'src/exit_menu.cpp', 
'src/file_reader.cpp',
'src/sexpr_file_reader.cpp', 
'src/sexpr_file_writer.cpp', 
'src/fonts.cpp',
'src/font.cpp',
'src/font_test_screen.cpp',
'src/font_description.cpp',
'src/sprite.cpp',
'src/fps_counter.cpp', 
'src/game_session.cpp', 
'src/game_session_result.cpp', 
'src/game_time.cpp', 
'src/gettext.cpp', 
'src/global_event.cpp', 
'src/globals.cpp', 
'src/goal_manager.cpp', 
'src/graphic_context_state.cpp', 
'src/groundtype.cpp',
'src/gui/component.cpp',
'src/gui/checkbox.cpp',
'src/gui/combobox.cpp', 
# 'gui/input_debug_screen.cpp', 
'src/display/cursor.cpp',
'src/display/display.cpp', 
'src/gui/group_component.cpp', 
'src/gui/gui_manager.cpp', 
'src/gui/input_box.cpp', 
'src/gui/surface_button.cpp',
'src/screen/gui_screen.cpp', 
'src/screen/screen.cpp', 
'src/screen/screen_manager.cpp', 
'src/screen/screen_ptr.cpp', 

'src/line_iterator.cpp',
'src/level_menu.cpp',
'src/levelset.cpp',

'src/lisp/getters.cpp',
'src/lisp/lexer.cpp',
'src/lisp/lisp.cpp',
'src/lisp/parser.cpp',

'src/input/controller_description.cpp',
'src/input/controller.cpp',
'src/input/core_driver.cpp',
'src/input/sdl_driver.cpp',
'src/input/manager.cpp',

# 'input/axes/button_axis.cpp', 
# 'input/axes/inverted_axis.cpp', 
# 'input/axes/joystick_axis.cpp', 
# 'input/axes/multiple_axis.cpp', 
# 'input/axis_factory.cpp', 
# 'input/button_factory.cpp', 
# 'input/buttons/double_button.cpp', 
# 'input/buttons/joystick_button.cpp', 
# 'input/buttons/key_button.cpp', 
# 'input/buttons/mouse_button.cpp', 
# 'input/buttons/multiple_button.cpp', 
# 'input/buttons/triple_button.cpp', 
# 'input/controller.cpp', 
# 'input/pointer_factory.cpp', 
# 'input/pointers/axis_pointer.cpp', 
# 'input/pointers/mouse_pointer.cpp', 
# 'input/pointers/multiple_pointer.cpp', 
# 'input/scroller_factory.cpp', 
# 'input/scrollers/axis_scroller.cpp', 
# 'input/scrollers/inverted_scroller.cpp', 
# 'input/scrollers/joystick_scroller.cpp', 
# 'input/scrollers/mouse_scroller.cpp', 
# 'input/scrollers/multiple_scroller.cpp', 
# 'input/scrollers/pointer_scroller.cpp', 

'src/layer_manager.cpp', 
'src/components/menu_button.cpp', 
'src/mover.cpp', 
'src/movers/linear_mover.cpp', 
'src/particles/explosive_particle.cpp', 
'src/particles/ground_particle.cpp', 
'src/particles/pingu_particle_holder.cpp', 
'src/particles/rain_particle_holder.cpp', 
'src/particles/smoke_particle_holder.cpp', 
'src/particles/snow_particle_holder.cpp', 
'src/path_manager.cpp',
'src/pathname.cpp', 
'src/pingu.cpp', 
'src/pingu_action.cpp', 
'src/pingu_action_factory.cpp', 
'src/pingu_enums.cpp', 
'src/pingu_holder.cpp', 
'src/pingus_error.cpp', 
'src/pingus_level.cpp', 
'src/pingus_main.cpp', 
'src/pingus_menu.cpp', 
'src/pingus_menu_manager.cpp', 
'src/pingus_sub_menu.cpp', 
'src/plf_res_mgr.cpp', 
'src/option_menu.cpp',
# 'preview_renderer.cpp', 
'src/res_descriptor.cpp', 
'src/resource.cpp',
'src/resource_manager.cpp', 
'src/resource_modifier.cpp', 
'src/result_screen.cpp', 
'src/savegame.cpp', 
'src/savegame_manager.cpp', 
'src/screenshot.cpp', 
'src/server.cpp', 
'src/server_event.cpp', 
'src/smallmap_image.cpp', 
'src/sound/sound.cpp', 
'src/sound/sound_dummy.cpp', 
'src/sound/sound_real.cpp', 
'src/sound/sound_res_mgr.cpp', 
'src/ground_map.cpp', 
'src/start_screen.cpp', 
'src/stat_manager.cpp', 
'src/state_sprite.cpp', 
'src/story_screen.cpp', 
'src/string_format.cpp',
'src/string_util.cpp',
'src/math/origin.cpp',
'src/math/rect.cpp',
'src/system.cpp', 
'src/timer.cpp',
'src/tinygettext/iconv.cpp',
'src/tinygettext/po_file_reader.cpp',
'src/tinygettext/dictionary_manager.cpp',
'src/tinygettext/dictionary.cpp',
'src/tinygettext/language_def.cpp',
'src/true_server.cpp', 
'src/math/vector2f.cpp',
'src/math/vector2i.cpp',
'src/math/vector3f.cpp',
# 'physfs/physfs_sdl.cpp',
# 'physfs/physfs_stream.cpp',
'src/world.cpp', 

'src/worldmap/dot.cpp', 
'src/worldmap/dot_factory.cpp', 
'src/worldmap/drawable.cpp', 
'src/worldmap/drawable_factory.cpp', 
'src/worldmap/graph.cpp', 
'src/worldmap/level_dot.cpp', 
'src/worldmap/manager.cpp', 
'src/worldmap/metamap.cpp', 
'src/worldmap/path.cpp', 
'src/worldmap/path_drawable.cpp', 
'src/worldmap/path_graph.cpp', 
'src/worldmap/pingus.cpp', 
'src/worldmap/sprite_drawable.cpp', 
'src/worldmap/surface_drawable.cpp', 
'src/worldmap/world_dot.cpp', 
'src/worldmap/worldmap.cpp', 
'src/worldmap/worldmap_story.cpp', 
'src/worldobj.cpp', 
'src/worldobj_factory.cpp', 
'src/worldobjs/conveyor_belt.cpp', 
'src/worldobjs/entrance.cpp', 
'src/worldobjs/exit.cpp', 
'src/worldobjs/fake_exit.cpp', 
'src/worldobjs/groundpiece.cpp', 
'src/worldobjs/guillotine.cpp', 
'src/worldobjs/hammer.cpp', 
'src/worldobjs/hotspot.cpp', 
'src/worldobjs/ice_block.cpp', 
'src/worldobjs/info_box.cpp', 
'src/worldobjs/laser_exit.cpp', 
'src/worldobjs/liquid.cpp', 
'src/worldobjs/rain_generator.cpp', 
'src/worldobjs/smasher.cpp', 
'src/worldobjs/snow_generator.cpp', 
'src/worldobjs/solid_color_background.cpp', 
'src/worldobjs/spike.cpp', 
'src/worldobjs/starfield_background.cpp', 
'src/worldobjs/starfield_background_stars.cpp', 
'src/worldobjs/surface_background.cpp', 
'src/worldobjs/switch_door.cpp', 
'src/worldobjs/teleporter.cpp',
'src/worldobjs/teleporter_target.cpp', 
'src/worldobjs/thunderstorm_background.cpp', 
'src/worldobjs/woodthing.cpp',
'lib/binreloc/binreloc.c'
]

class _SpaceListOptionClass:
   """An option type for space-separated lists with arbitrary elements."""
   def CheckDir(self, val):
      if not os.path.isdir(val):
         raise SCons.Errors.UserError("No directory at %s" % val)

   def _convert(self, key, val, env):
      if SCons.Util.is_List(val): # prefer val if it's already a list
         return val
      elif len(val) > 0 and val[0] == '[' and val[-1] == ']':
         # or a repr of a list
         return eval(val)
      elif env: # otherwise, use whatever's in env
         val = env[key]
         if not SCons.Util.is_List(val):
            val = val.split(None)
         return val
      else: # val was substituted into a string, losing its structure
         # We'll be called again with env, hopefully that's more useful
         raise TypeError("try again with the environment")

   def _validate(self, val, env, check, converter):
      for i in converter(val, env):
         if check(i):
            return True
      return False

   def __call__(self, key, help, check=None, default=[]):
      def converter(val, env = None):
         return self._convert(key, val, env)
 
      validator = None
      if check is not None:
         validator = lambda k, v, e: self._validate(v, e, check, converter)
      return (key, help, default, validator, converter)
 
SpaceListOption = _SpaceListOptionClass()

def DefineOptions(filename, args):
   opts = Variables(filename, args)
   opts.Add('CC', 'C Compiler', 'gcc')
   opts.Add('CXX', 'C++ Compiler', 'g++')
#   opts.Add('debug', 'Build with debugging options', 0)
#   opts.Add('profile', 'Build with profiling support', 0)

   opts.Add('CPPPATH',    'Additional preprocessor paths', [])
   opts.Add('LIBPATH',    'Additional library paths',      [])
   opts.Add('CPPFLAGS',   'Additional preprocessor flags', [])
   opts.Add('CPPDEFINES', 'defined constants', [])
   opts.Add('LIBS',       'Additional libraries', [])
   opts.Add('CCFLAGS',    'C Compiler flags', [])
   opts.Add('LINKFLAGS',  'Linker Compiler flags', [])

   opts.Add(BoolVariable('with_xinput',        'Build with Xinput support', False))
   opts.Add(BoolVariable('with_linuxusbmouse', 'Build with Linux USB mouse support', True))
   opts.Add(BoolVariable('with_linuxevdev',    'Build with Linux evdev support', True))
   opts.Add(BoolVariable('with_wiimote',       'Build with Wiimote support', False))
   opts.Add(BoolVariable('ignore_errors',      'Ignore any fatal configuration errors', False))
   opts.Add('optional_sources', 'Additional source files', [])
   return opts

def CheckSDLLib(context, sdllib):
   """
   On some platforms, SDL does this ugly redefine-main thing, that can
   interact badly with CheckLibWithHeader.
   """
   lib = "SDL_%s" % sdllib
   context.Message('Checking for %s...' % lib)
   text = """
#include "SDL.h"
#include "%s.h"
int main(int argc, char* argv[]) { return 0; }
""" % lib
   context.AppendLIBS(lib)
   if context.BuildProg(text, ".cpp"):
      context.Result("failed")
      return False
   else:
      context.Result("ok")
      return True

def CheckIconv(context):
   text = """
#include <iconv.h>
int main() {
   %s char *foo;
   (void)iconv((iconv_t)0, &foo, (size_t*)0, (char**)0, (size_t*)0);
   return 0;
}
"""
   config.CheckLibWithHeader('iconv', 'iconv.h', 'c++') # Ok to fail
   context.Message('Check how to call iconv...')

   for i in ['', 'const']:
      if config.TryCompile(text % i, ".cpp"):

=== debian/changelog ===
pingus (0.7.3-1) unstable; urgency=low

  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Refresh patches.
  * Disable 20_fix_FTBFS_with_gcc-4.3, seems included.
  * Remove 40_fix_FTBFS_with_gcc-4.4, unnecessary.
  * Bump Standards Version to 3.9.2.
  * update patches/60_bashisms to avoid echo -e (Closes: #535879).
  * Patch french translation (Closes: #563395) thanks to 
    Tanguy Ortolo.
  * Added myself to the Uploaders.
  * Adjust lintian override "missing-dep-for-interpreter guile" since 
    lintian change its error message.
  * debian/rules: fix FTBS on kfreebsd.
  * Fix German translation (Closes: #612453). Thanks to Helge Kreutzmann.

 -- Bertrand Marc <beberking@gmail.com>  Sat, 25 Jun 2011 18:02:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: pingus
 Section: games
 Priority: optional
-Maintainer: Mikko Koskenranta <mikko.koskenranta@hotmail.com>
-Uploaders: Mikko Koskenranta <mikko.koskenranta@hotmail.com>
-Build-Depends: debhelper (>= 5), quilt, scons,
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders: Miriam Ruiz <little_miry@yahoo.es>, Cyril Brulebois <kibi@debian.org>,
+ Bertrand Marc <beberking@gmail.com>
+Build-Depends: debhelper (>= 5), scons,
  libsdl1.2-dev, libsdl-mixer1.2-dev, libsdl-image1.2-dev,
- libphysfs-dev, libboost-signals1.42-dev, libxi-dev, libpng12-dev
-Standards-Version: 3.8.1
+ libphysfs-dev, libboost-signals-dev, libxi-dev
+Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/pingus/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/pingus/?op=log
-XSBC-Bugtracker: http://talk.maemo.org/showthread.php?t=68527
 Homepage: http://pingus.seul.org/
 
 Package: pingus
-Section: user/games
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, pingus-data (= ${source:Version})
 Description: Free Lemmings(TM) clone

=== debian/rules ===
--- 
+++ 
@@ -3,22 +3,27 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-include /usr/share/quilt/quilt.make
+DEB_BUILD_ARCH_OS := $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
+ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
+    SCONS_OPTS:=with_linuxevdev=no with_linuxusbmouse=no
+endif
 
 configure: configure-stamp
-configure-stamp: $(QUILT_STAMPFN)
+configure-stamp:
 	dh_testdir
 	cat debian/options.cache | sed -e 's/:CFLAGS:/$(CFLAGS)/g' > options.cache
-	scons configure prefix=/opt resources_dir=/opt/usr/share/games/pingus lib_dir=$(CURDIR)
+	scons configure $(SCONS_OPTS) prefix=/usr resources_dir=/usr/share/games/pingus lib_dir=$(CURDIR)
 	touch $@
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: configure-stamp
 	dh_testdir
 	scons
 	touch $@
 
-clean: clean-patched unpatch
+clean: clean-patched
 	dh_testdir
 	dh_testroot
 	dh_clean
@@ -48,7 +53,7 @@
 	dh_installchangelogs -i ChangeLog
 	dh_installdocs -i --exclude=pingus.6
 
-	mkdir -p "$(CURDIR)/debian/pingus-data/opt/usr/share/games/pingus/"
+	mkdir -p "$(CURDIR)/debian/pingus-data/usr/share/games/pingus/"
 	find data/ \
 		-type f -a  \( \
 		-name "*.png" -o \
@@ -64,7 +69,7 @@
 		-name "*.res" -o \
 		-name "*.pingus" -o \
 		-name "*.levelset" \
-		\) -exec cp --parents -v {} "$(CURDIR)/debian/pingus-data/opt/usr/share/games/pingus/" \;
+		\) -exec cp --parents -v {} "$(CURDIR)/debian/pingus-data/usr/share/games/pingus/" \;
 
 	dh_install -i
 	dh_compress -i

=== debian/watch ===
# Watch control file for uscan
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

ftp://pingus.seul.org/pub/pingus/pingus-([\d.]+)\.tar\.bz2

## pingus 0.7.5

=== debian/changelog ===
pingus (0.7.5-1) unstable; urgency=low

  * New upstream release (Closes: #633384, #493021).
  * Remove debian/patches/*: included or not necessary any more.
  * No more configure target.
  * debian/rules: Changelog is called NEWS.
  * Use new bin and data organisation in debian/rules and install file.
  * debian/rules: 
    + add build-arch and build-indep targets to make lintian
      happy.
    + update clean target from upstream Makefile.
  * Update debian/watch, thanks to Patrice Duroux (Closes: #647141).
  * debian/control: update Vcs-browser url, thanks to Patrice Duroux.
  * pingus.desktop: add german generic name, thanks to Ronny Standtke
    (Closes: #641825).

 -- Bertrand Marc <beberking@gmail.com>  Tue, 01 Nov 2011 15:31:06 +0100
